Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanServerNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--javax.management.MBeanServerNotification

public class MBeanServerNotification
extends Notification

The MBeanServerNotification class represents an notification emitted by the MBean Server. The MBean Server emits these types of notifications: MBean registration, MBean de-registration.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `REGISTRATION_NOTIFICATION` Notification type denoting that a MBean has been registered.
`static java.lang.String` | `UNREGISTRATION_NOTIFICATION` Notification type denoting that a MBean has been uregsitered.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`MBeanServerNotification(java.lang.String type, java.lang.Object source, long sequenceNumber, java.util.Vector objectNames)` Creates a MBeanServerNotification object with the specified object names of the MBeans that caused the notification and the specified notification type.

Method Summary
`java.util.Vector` | `getMBeanNames()` Returns a vector of object names of the MBeans that caused the notification

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSource, setUserData`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REGISTRATION_NOTIFICATION

    public static final java.lang.String REGISTRATION_NOTIFICATION

  Notification type denoting that a MBean has been registered. Value is "JMX.mbean.registered".

### UNREGISTRATION_NOTIFICATION

    public static final java.lang.String UNREGISTRATION_NOTIFICATION

  Notification type denoting that a MBean has been uregsitered. Value is "JMX.mbean.unregistered".

Constructor Detail

### MBeanServerNotification

    public MBeanServerNotification(java.lang.String type,
                                   java.lang.Object source,
                                   long sequenceNumber,
                                   java.util.Vector objectNames)

  Creates a MBeanServerNotification object with the specified object names of the MBeans that caused the notification and the specified notification type.
  Parameters:
    `type` - A string denoting the type of the notification. Set it to one these values: REGISTRATION_NOTIFICATION, UNREGISTRATION_NOTIFICATION
    `source` - The MBeanServerNotification object responsible to forward MBeanServer notification.
    `objectNames` - A list of the object names of the MBeans that caused the notification.

Method Detail

### getMBeanNames

    public java.util.Vector getMBeanNames()

  Returns a vector of object names of the MBeans that caused the notification

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD